/**
 * ECMWF Air Quality Forecast - A Weather Source API
 * Daily and hourly air quality forecast data from the ECMWF model for latitude/longitude points, ZIP/Postal Codes, and Designated Market Areas. Hourly forecast is up to 5 days out from current day. Daily forecast is up to 4 days out from current day. The Weather Source ECMWF Air Quality Forecast API is built upon the [OnPoint™ Platform](https://weathersource.com/products/onpoint-platform/) which ensures data that is gap-free, homogeneous, and ready for immediate analysis. We offer the highest resolution grid on the market, covering every landmass in the world and up to 200 miles offshore.    **IMPORTANT:** To authenticate to the Weather Source ECMWF Air Quality Forecast API, each request must contain your API key set to a custom header named `X-API-KEY`. If you do not have a Weather Source API key [sign up for a free 30-day developer account](https://developer.weathersourceapis.com/account/sign-up/). You may use the evaluation API Key `C0W60UOFRML47ytbXk4xlLBfv` to access example locations found in this documentation.      When using the \\\"Try it out\\\" capability in the documentation, the API key should be added by clicking the green \\\"Authorize\\\" button at the top of the page. 
 *
 * OpenAPI spec version: 2.0.0
 * Contact: support@weathersource.com
 *
 * NOTE: This class is auto generated by the swagger code generator program.
 * https://github.com/swagger-api/swagger-codegen.git
 * Do not edit the class manually.
 */
import { AirQualityIndex } from './airQualityIndex';
import { CarbonMonoxideAvg } from './carbonMonoxideAvg';
import { CarbonMonoxideMax } from './carbonMonoxideMax';
import { CarbonMonoxideMin } from './carbonMonoxideMin';
import { NitrogenDioxideAvg } from './nitrogenDioxideAvg';
import { NitrogenDioxideMax } from './nitrogenDioxideMax';
import { NitrogenDioxideMin } from './nitrogenDioxideMin';
import { OzoneAvg } from './ozoneAvg';
import { OzoneMax } from './ozoneMax';
import { OzoneMin } from './ozoneMin';
import { ParticulateMatter10Avg } from './particulateMatter10Avg';
import { ParticulateMatter10Max } from './particulateMatter10Max';
import { ParticulateMatter10Min } from './particulateMatter10Min';
import { ParticulateMatter1Avg } from './particulateMatter1Avg';
import { ParticulateMatter1Max } from './particulateMatter1Max';
import { ParticulateMatter1Min } from './particulateMatter1Min';
import { ParticulateMatter2p5Avg } from './particulateMatter2p5Avg';
import { ParticulateMatter2p5Max } from './particulateMatter2p5Max';
import { ParticulateMatter2p5Min } from './particulateMatter2p5Min';
import { SulfurDioxideAvg } from './sulfurDioxideAvg';
import { SulfurDioxideMax } from './sulfurDioxideMax';
import { SulfurDioxideMin } from './sulfurDioxideMin';
import { TimestampInit } from './timestampInit';

/**
 * A daily weather ECMWF Air Quality Forecast object.
 */
export interface EcmwfAirQualityForecastDayObj { 
    date: string;
    timestampInit?: TimestampInit;
    airQualityIndex?: AirQualityIndex;
    particulateMatter1Min?: ParticulateMatter1Min;
    particulateMatter1Avg?: ParticulateMatter1Avg;
    particulateMatter1Max?: ParticulateMatter1Max;
    particulateMatter2p5Min?: ParticulateMatter2p5Min;
    particulateMatter2p5Avg?: ParticulateMatter2p5Avg;
    particulateMatter2p5Max?: ParticulateMatter2p5Max;
    particulateMatter10Min?: ParticulateMatter10Min;
    particulateMatter10Avg?: ParticulateMatter10Avg;
    particulateMatter10Max?: ParticulateMatter10Max;
    carbonMonoxideMin?: CarbonMonoxideMin;
    carbonMonoxideAvg?: CarbonMonoxideAvg;
    carbonMonoxideMax?: CarbonMonoxideMax;
    nitrogenDioxideMin?: NitrogenDioxideMin;
    nitrogenDioxideAvg?: NitrogenDioxideAvg;
    nitrogenDioxideMax?: NitrogenDioxideMax;
    sulfurDioxideMin?: SulfurDioxideMin;
    sulfurDioxideAvg?: SulfurDioxideAvg;
    sulfurDioxideMax?: SulfurDioxideMax;
    ozoneMin?: OzoneMin;
    ozoneAvg?: OzoneAvg;
    ozoneMax?: OzoneMax;
}